Zum Hauptinhalt springen

Update a record set on a DNS Zone

PUT/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}/
API version
v2
Request method
PUT
Operation ID
dns-update-record-set

This operation can be used to update and replace individual DNS record sets.

Usage for different record types​

Setting A and AAAA records​

A and AAAA records can be set in a single request by providing "a" as recordSet parameter:

PUT /v2/dns-zones/{dnsZoneId}/record-sets/a HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json

{
"a": [
"203.0.113.1",
"203.0.113.2"
],
"aaaa": [
"2001:0DB8::1",
"2001:0DB8::2"
],
"settings": {
"ttl": {
"auto": true
}
}
}

Setting an A and/or AAAA record will override the default DNS records provided by the mittwald platform. To reset the records to being managed by the platform, use the POST/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}/actions/set-managed/ operation.

Setting CNAME records​

CNAME records can be set as follows:

PUT /v2/dns-zones/{dnsZoneId}/record-sets/cname HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json

{
"fqdn": "your-cname-target.example",
"settings": {
"ttl": {
"auto": true
}
}
}

Setting MX records​

MX records can be set as follows:

PUT /v2/dns-zones/{dnsZoneId}/record-sets/mx HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json

{
"records": [
{
"fqdn": "mx01.your-mailserver.example",
"priority": 10
},
{
"fqdn": "mx02.your-mailserver.example",
"priority": 10
}
],
"settings": {
"ttl": {
"auto": true
}
}
}

Setting TXT records​

TXT records can be set as follows:

PUT /v2/dns-zones/{dnsZoneId}/record-sets/txt HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json

{
"entries": [
"foo",
"bar"
],
"settings": {
"ttl": {
"auto": true
}
}
}

Setting SRV records​

SRV records can be set as follows:

PUT /v2/dns-zones/{dnsZoneId}/record-sets/txt HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json

{
"records": [
{
"fqdn": "service.your-domain.example",
"port": 8080,
"priority": 10,
"weight": 10
}
],
"settings": {
"ttl": {
"auto": true
}
}
}

Request​

  • dnsZoneIdstring (uuid)
    required

    The ID of the DNSZone to update a record set for.

  • recordSetstring (one of: a, mx, txt, srv, cname, caa)
    required

    The record set to be updated. AAAA records are updated as part of the A record; so use "a" as value if you want to update your AAAA records. Please also note that the request body schema varies depending on which value you provide here.

Responses​

Kein Request-Inhalt spezifiziert.

Usage examples​

$ curl \
--fail \
--location \
-X PUT \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/dns-zones/f0f86186-0a5a-45b2-aa33-502777496347/record-sets/a